Bug 450782 - pixman-0.11.4 memory leak
pixman-0.11.4 memory leak
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pixman (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 19:38 EDT by kanagawa jigorou
Modified: 2008-06-17 15:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: pixman-0.11.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 15:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kanagawa jigorou 2008-06-10 19:38:08 EDT
Description of problem:
pixman-0.11.4 has huge memory-leak?

Version-Release number of selected component (if applicable):
pixman-0.11.4-1.fc10

How reproducible:
lways

Steps to Reproduce:
1.upgrade pixman-0.10.0 to pixman-0.11.4-1.fc10 and restart X
  
Actual results:
Using X with pixman-0.11.4-1.fc10, X had occupied most of memory until X was
shutdowned.
With pixman-0.10.0-1.fc9, it's OK.

Expected results:
Memory-leak is going to be suppressed.

Additional info:
My environment:
Athlon64, SiS756, DDR333-1024MB, RadeonX700.
kernel-2.6.25.1-3.fc10.i686, glibc-2.8.90-5.i686, gcc-4.3.1-1.i386,
xorg-x11-server-Xorg-1.4.99.902-1.20080609.fc9.i386,
xorg-x11-drv-ati-6.8.0-14.fc9.i386
Comment 1 sangu 2008-06-12 23:19:51 EDT
CPU amd x2 3800+, VGA nvidia 6800gs

$ sudo pmap -x 2220 
2220:   /usr/bin/Xorg :0 -br -verbose -auth
/var/run/gdm/auth-cookie-XX9R6OCU-for-gdm -nolisten tcp
Address   Kbytes     RSS    Anon  Locked Mode   Mapping
[skip/]
08c08000  599920       -       -       - rw---    [ anon ]
[/skip]
-------- ------- ------- ------- -------
total kB  727592 

  PID  PPID  UID TTY       VIRT  RES  SHR    TIME+  %CPU %MEM S COMMAND         
2220  2219    0 tty7      719m 642m  14m  17:05.66  6.7 32.0 S Xorg         

xorg eats up lots of memory in
xorg-x11-server-Xorg-1.4.99.902-2.20080612.fc9.i386 and nvidia closed source driver.

Please See : https://bugs.freedesktop.org/show_bug.cgi?id=16312
Comment 2 kanagawa jigorou 2008-06-17 08:35:06 EDT
Today, I heard that gentoo has already fixed this problem.

http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-libs/pixman/files/pixman-0.11.4-memleak.patch?view=markup

Why don't we try this patch?
Comment 3 sangu 2008-06-17 08:47:25 EDT
Fixed in pixman-0.11.4-2.fc10.i386

http://cvs.fedora.redhat.com/viewcvs/devel/pixman/leakfix.patch?rev=1.1&view=auto

Note You need to log in before you can comment on or make changes to this bug.